Core - Feature # 27208

Status: Closed Priority: Should have
Author: Steffen Gebert Category:

Created: 2011-06-04 Assigned To:

Updated: 2013-06-01 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Add a runtime cache

Description

Add a runtime cache based on the TransientMemoryBackend to save and retrieve values, which are required several times during a

single request.

Related issues:

precedes Core - Bug # 27227: Use Runtime Cache in tslib_fe::get_cache_timeout

Closed 2011-06-05

Associated revisions

Revision a4418fa0 - 2011-06-24 20:40 - Steffen Gebert

[FEATURE] Add a runtime cache

Add a runtime cache (cache_runtime) based on the TransientMemoryBackend

to save and retrieve values, which are required several times during a

single request.

Change-Id: If47420cac6c6bec2f912e6aabcfacf3b93a2ch32
Resolves: #27208
Reviewed-on: http://review.typo3.org/2530

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Susanne Moog

Tested-by: Susanne Moog

History

#1 - 2011-06-05 20:40 - Mr. Hudson

Patch set 1 of change 1f47420cac6c6bec2f912e6aabcfacf3b93a2chb32 has been pushed to the review server.

It is available at http://review.typo3.org/2530

#2 - 2011-06-24 17:12 - Mr. Hudson

Patch set 2 of change 1f47420cac6c6bec2f912e6aabcfacf3b93a2cb32 has been pushed to the review server.

It is available at http://review.typo3.org/2530

#3 - 2011-06-24 21:00 - Steffen Gebert

2015-08-04
http://review.typo3.org/2530
http://review.typo3.org/2530
http://review.typo3.org/2530

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:a44f8fa0c99aff2526c045a9b49371ff93d52292.

#4 - 2011-06-25 12:22 - Steffen Gebert
- Target version set to 1281

#5 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#6 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)
